Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.flume.appender
Class FlumeEmbeddedManager

    java.lang.Object
      org.apache.logging.log4j.core.appender.AbstractManager
          org.apache.logging.log4j.flume.appender.AbstractFlumeManager
              org.apache.logging.log4j.flume.appender.FlumeEmbeddedManager

    public class FlumeEmbeddedManager

extends AbstractFlumeManager

Field Summary

Fields inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`count, LOGGER`

Constructor Summary
`protected` | `FlumeEmbeddedManager(String name, String shortName, org.apache.flume.agent.embedded.EmbeddedAgent agent)` Constructor

Method Summary
`static FlumeEmbeddedManager` | `getManager(String name, Agent[] agents, org.apache.logging.log4j.core.config.Property[] properties, int batchSize, String dataDir)` Returns a FlumeEmbeddedManager.
`protected void` | `releaseSub()`
`void` | `send(org.apache.flume.Event event)`

Methods inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`getContentFormat, getCount, getManager, getName, hasManager, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlumeEmbeddedManager

    protected FlumeEmbeddedManager(String name,
                                   String shortName,
                                   org.apache.flume.agent.embedded.EmbeddedAgent agent)

  Constructor

  Parameters:
    `name` - The unique name of this manager.
    `shortName` - The short version of the agent name.
    `agent` - The embedded agent.

Method Detail

### getManager

    public static FlumeEmbeddedManager getManager(String name,
                                                  Agent[] agents,
                                                  org.apache.logging.log4j.core.config.Property[] properties,
                                                  int batchSize,
                                                  String dataDir)

  Returns a FlumeEmbeddedManager.

  Parameters:
    `name` - The name of the manager.
    `agents` - The agents to use.
    `properties` - Properties for the embedded manager.
    `batchSize` - The number of events to include in a batch.
    `dataDir` - The directory where the Flume FileChannel should write to.
  Returns:
    A FlumeAvroManager.

### send

    public void send(org.apache.flume.Event event)

  Specified by:
    `send` in class `AbstractFlumeManager`

### releaseSub

    protected void releaseSub()

  Overrides:
    `releaseSub` in class `org.apache.logging.log4j.core.appender.AbstractManager`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.